Quassel IRC - Bug #522

[PATCH] Get jumpkey works on weird keymaps.
02/06/2009 10:02 PM - phh

Status: Resolved Start date: 02/06/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

The current git version suffers a problem for the jump keys: on keymaps for which number keys aren't direct, it won't work because

the shift modifier will be sent, or the keypad one.

The attached patch drops theses modifiers before comparing it towards bindmodifier/jumpmaodifier.

Associated revisions

Revision a5d71920a52ee8bc07e217b89550d3ef902f7faf - 02/14/2009 03:01 AM - Marcus Eggenberger

fixes #522 - applied patch with minor changes

Revision a5d71920 - 02/14/2009 03:01 AM - Marcus Eggenberger
fixes #522 - applied patch with minor changes

History

#1 - 02/14/2009 01:02 PM - EgS
- Status changed from New to Resolved

- % Done changed from 80 to 100

Applied in changeset a5d71920a52ee8bc07e217b89550d3ef902f7faf.

#2 - 02/14/2009 01:03 PM - EgS

- Target version set to 0.4.0
